REGISTER_GIFCONF(9)

NAME
register_gifconf - register a SIOCGIF handler

SYNOPSIS

int register_gifconf (unsigned int family, gifconf_func_t * gifconf);

ARGUMENTS

family
    Address family

gifconf
    Function handler

DESCRIPTION

Register protocol dependent address dumping routines. The handler that is passed must not be freed or reused until it has been replaced by another handler.